Package org.globus.ftp.dc

# Class EBlockImageDCReader

java.lang.Object
org.globus.ftp.dc.EBlockAware
org.globus.ftp.dc.EBlockImageDCReader

All Implemented Interfaces:
  `DataChannelReader`

public class EBlockImageDCReader extends EBlockAware implements DataChannelReader

## Field Summary

Fields
Modifier and Type
Field
Description
`protected DataInputStream`
`input`

### Fields inherited from class org.globus.ftp.dc.EBlockAware

`context, EOD, EOF, WILL_CLOSE`

## Constructor Summary

Constructors
Constructor
Description
`EBlockImageDCReader()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`Buffer`
`read()`
`void`
`setDataStream(InputStream in)`
`boolean`
`willCloseReceived()`

### Methods inherited from class org.globus.ftp.dc.EBlockAware

`setTransferContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### input

protected DataInputStream input

## Constructor Details

### EBlockImageDCReader

public EBlockImageDCReader()

## Method Details

### setDataStream

public void setDataStream(InputStream in)

Specified by:
  `setDataStream` in interface `DataChannelReader`

### willCloseReceived

public boolean willCloseReceived()

Returns:
  true if at least once received the "server will close the connection" signal

### read

public Buffer read() throws IOException

Specified by:
  `read` in interface `DataChannelReader`
Returns:
  Buffer of read data or null if end of data
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `DataChannelReader`
Throws:
  `IOException`